# $Revision: 1.74 $, $Date: 2010/08/31 09:03:59 $
#
Summary:	GaduGadu transport module for Jabber
Summary(pl.UTF-8):	Moduł transportowy GaduGadu dla systemu Jabber
Name:		jggtrans
Version:	2.2.4
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://jggtrans.jajcus.net/downloads/jggtrans-%{version}.tar.gz
# Source0-md5:	ca59304516417a4bd728e43de828788e
Source1:	jggtrans.init
Source2:	jggtrans.sysconfig
Patch0:		%{name}-pidfile.patch
Patch1:		%{name}-spooldir.patch
Patch2:		diff-trunk_src-from-r714-to-r716.diff
URL:		http://jggtrans.jajcus.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel >= 1.95.1
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgadu-devel >= 1.9.0
BuildRequires:	libidn-devel >= 0.3.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires(post):	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	jabber-common
Requires:	jabber-common
Requires:	libgadu >= 1.9.0
Obsoletes:	jabber-gg-transport
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber to communicate with GaduGadu server.

%description -l pl.UTF-8
Moduł ten umożliwia użytkownikom Jabbera komunikowanie się z
użytkownikami GaduGadu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--with-efence} \
	--without-bind \
	--sysconfdir=%{_sysconfdir}/jabber
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/jabber,/etc/rc.d/init.d,/etc/sysconfig,/var/lib/jggtrans}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install jggtrans.xml $RPM_BUILD_ROOT%{_sysconfdir}/jabber
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jggtrans
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/jggtrans

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in jggtrans.xml..."
		%{__sed} -i -e "s/>secret</>$SECRET</" /etc/jabber/jggtrans.xml
	fi
fi
/sbin/chkconfig --add jggtrans
if [ -r /var/lock/subsys/jggtrans ]; then
	/etc/rc.d/init.d/jggtrans restart >&2
else
	echo "Run \"/etc/rc.d/init.d/jggtrans start\" to start Jabber GaduGadu transport."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jggtrans ]; then
		/etc/rc.d/init.d/jggtrans stop >&2
	fi
	/sbin/chkconfig --del jggtrans
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.Pl jggtrans.xml.Pl
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/jggtrans.xml
%attr(754,root,root) /etc/rc.d/init.d/jggtrans
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jggtrans
%attr(770,root,jabber) /var/lib/jggtrans

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jggtrans.spec,v $
Revision 1.74  2010/08/31 09:03:59  arekm
- rel 3; libgadu-devel is not required for this package to work.

Revision 1.73  2010/07/06 14:05:33  mmazur
- rel 2; stbr
- added patch from trunk which removes irritating unsubscribe msgs

Revision 1.72  2010/06/13 10:28:24  mmazur
- added libtoolize to build process

Revision 1.71  2010/04/10 16:13:49  shadzik
- R: libgadu with version, upgrade doesn't take this too

Revision 1.70  2010/04/10 14:50:53  jajcus
- Version: 2.2.4

Revision 1.69  2007/12/12 08:22:08  arekm
- rel 2

Revision 1.68  2007/03/09 19:44:40  qboosh
- more versions, no libbind

Revision 1.67  2007/02/26 14:23:55  japhy
- BR: bind-devel
- Gettextize before build

Revision 1.66  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.65  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.64  2006/06/04 10:56:27  wolf
- cosmetics

Revision 1.63  2006/06/03 20:56:33  jajcus
- Version: 2.2.2
- "jabber-gg-transport" renamed to "jggtrans"

Revision 1.62  2006/04/14 17:31:43  glen
- use sed for inline edits rather perl

Revision 1.61  2006/02/02 13:51:38  mmazur
- removed todo (nobody's *ever* gonna remove internal libxode dep)
- added with internal_libgadu bcond
- br: libtool, gettext-devel

Revision 1.60  2005/10/12 07:00:00  arekm
- rel 2; fix acl when using tags without attibutes like <deny/>

Revision 1.59  2005/08/02 20:07:42  arekm
- up to 2.2.1 (patch from ML)

Revision 1.58  2005/07/24 19:51:53  qboosh
- more

Revision 1.57  2005/07/24 19:51:21  qboosh
- unified

Revision 1.56  2005/07/24 19:10:01  arekm
- add TODO

Revision 1.55  2005/07/24 19:07:56  arekm
- follow PLD standards and use external libgadu; external libxode needs more work (api changes; mainly rename of functions)

Revision 1.54  2005/07/24 18:42:32  jajcus
- Version: 2.2.0
- libgadu is not required any more

Revision 1.53  2004/11/04 08:43:24  jajcus
- BR: expat-devel, not expat

Revision 1.52  2004/11/03 14:20:06  leafnode
- fixed BR

Revision 1.51  2004/10/31 20:04:50  jajcus
- Version: 2.1.0

Revision 1.50  2004/08/11 17:49:59  havner
- without libgadu snapshot by default
- rel 3

Revision 1.49  2004/08/11 17:38:52  havner
- rel 2

Revision 1.48  2004/07/19 19:04:26  arekm
- we are using snaps of libgadu

Revision 1.47  2004/06/30 11:58:18  aflinta
- require proper version of libgadu

Revision 1.46  2004/05/12 08:03:32  jajcus
- libgadu_snapshot bcond

Revision 1.45  2004/03/18 12:41:58  jajcus
- Version: 2.0.9

Revision 1.44  2004/02/20 19:42:00  jajcus
- Version: 2.0.8

Revision 1.43  2004/02/12 11:57:19  jajcus
- Release: 3
- broken roster import disabled

Revision 1.42  2003/12/11 15:56:23  undefine
- release 2 to rebuild with ac

Revision 1.41  2003/09/16 11:26:44  jajcus
- common environmet for jabber services in the jabber-common package

Revision 1.40  2003/09/14 09:46:48  jajcus
- updated for jabberd 2.0

Revision 1.39  2003/09/11 23:03:10  deejay1
- up to 2.0.7 (fixes several-including 3 fatal-bugs)

Revision 1.38  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.37  2003/06/28 15:29:44  jajcus
- Version: 2.0.6

Revision 1.36  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.35  2003/05/27 11:19:55  misi3k
- updated to 2.0.5 (sync with old PLD repo)

Revision 1.34  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/19 13:28:15  jajcus
- Version: 2.0.4

Revision 1.32  2003/04/28 17:15:02  misi3k
- updated to 2.0.2

Revision 1.31  2003/04/24 10:04:43  areq
- 2.0.1

Revision 1.30  2003/04/21 16:45:19  jajcus
- Version: 2.0.0

Revision 1.29  2003/04/09 13:08:45  jajcus
- Version: 1.4.2

Revision 1.28  2003/03/26 12:36:01  jajcus
- Version: 1.4.1

Revision 1.27  2003/02/09 10:35:57  alchemyx
- libgadu is versioned differently, fixed, STBR

Revision 1.26  2003/02/06 08:42:58  jajcus
- Version: 1.4.0
- config file patched (%%{name}-pidfile.patch) so pidfile is written directly to /var/run

Revision 1.25  2003/01/16 11:24:20  jajcus
- Version: 1.3.0

Revision 1.24  2003/01/14 17:39:02  mmazur
- Next version will need this libgadu... new search api + my segfault fix

Revision 1.23  2003/01/09 10:21:16  qboosh
- Requires(post,preun): /sbin/chkconfig

Revision 1.22  2003/01/08 19:12:29  mmazur
- added missing chkconfig

Revision 1.21  2003/01/05 00:46:55  mmazur
- I think this typo is becoming my obsession

Revision 1.20  2003/01/04 23:05:23  mmazur
- typo

Revision 1.19  2002/12/30 12:14:30  jajcus
- Version: 1.2.3

Revision 1.18  2002/12/27 09:18:11  mmazur
- let's call it a typo

Revision 1.17  2002/12/25 12:04:53  jajcus
- Version: 1.2.2

Revision 1.16  2002/12/10 08:38:27  jajcus
- Version: 1.2.1

Revision 1.15  2002/12/09 10:09:24  jajcus
- Version: 1.2.0

Revision 1.14  2002/08/12 21:33:43  kloczek
- release 3: rebuild against current libgadu.

Revision 1.13  2002/07/24 12:23:56  kloczek
- release 2: removed %%requires_eq for libgadu (seems now it isn't neccessary
  for keep this package in good condition :)

Revision 1.12  2002/06/11 07:05:37  jajcus
- Version: 1.1.0

Revision 1.11  2002/06/05 17:09:38  kloczek
- use new %doc and 754 on init script.

Revision 1.10  2002/06/05 16:42:03  jajcus
- Version: 1.0.1

Revision 1.9  2002/04/25 16:38:05  arturs
fixed a small typo

Revision 1.8  2002/04/13 16:47:49  kloczek
- cosmetics.

Revision 1.7  2002/04/13 16:24:33  jajcus
- Version: 1.0.0
- %%requires_eq libgadu (because libgadu versions with the same soname are not always binary compatible)

Revision 1.6  2002/02/24 12:14:30  jajcus
- Version: 0.9.9

Revision 1.5  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/08 15:49:33  jajcus
- Version: 0.9.8
- it has now its own init script

Revision 1.2  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2002/01/15 16:21:38  jajcus
- new spec
